Bug 445279 - Review Request: brettfont-fonts - A handwriting font
Review Request: brettfont-fonts - A handwriting font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 17:30 EDT by Jon Stanley
Modified: 2008-06-22 15:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-22 15:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-05-05 17:30:18 EDT
Spec URL: http://jstanley.fedorapeople.org/brettfont-fonts.spec
SRPM URL: http://jstanley.fedorapeople.org/brettfont-fonts-1.0-1.fc8.src.rpm
Description:

I made this on 2005-10-04 when my math professor told me my handwriting was too
messy to submit for assignments. So I did our next assigment in
OpenOffice.org and used my font to hand it in! I got 80/80 on it :)
Comment 1 manuel wolfshant 2008-05-05 18:49:53 EDT
could you please recheck the URL of the spec? I get 404 - Page could not be found
Comment 2 Jon Stanley 2008-05-05 19:03:59 EDT
Oops, sorry about that, it helps to put them in the public_html directory :)
Comment 3 Jon Stanley 2008-05-05 20:13:37 EDT
Same spec, new SRPM - 

http://jstanley.fedoraproject.org/brettfont-fonts-1.0-2.fc8.src.rpm

Changed the %description to reflect the package rather than upstream's whimsical
story :)
Comment 4 Nicolas Mailhot 2008-05-06 17:28:38 EDT
Only looked at the spec since the SRPM is not reachable.

Anyway:
1. Spec is a textbook copy of the official template → OK
2. Source is correctly licensed and from a trusty provider → OK

Approved

Some optional comments
1. you do not need the cp in %prep. Just use %{SOURCE0} in %install directly
(and save a few electrons)
2. for releases ≥ F9 you can drop the -f in fc-cache
3. Upstream TTF file name is fugly. Fontconfig will work the same no matter what
of course but you should consider changing it to something better in the install
ttf line
4. it's somewhat dangerous to use 1.0 as version for upstreams with lax release
discipline. They sometimes update the file in-place later without changing the
TTF metadata version (1.0 is the default for the version field in many tools,
thus unfortunately it does not always mean the author really decided this was
release 1.0). For this reason I've used timestamps as versions in the gfs font
packages
5. bonus points if you can get upstream to release its font in a nice versioned
archive with detached license text.

Comment 5 Nicolas Mailhot 2008-05-06 17:29:45 EDT
When you're done please do not forget moving it to the "packaged" part of the
fonts pipeline, and also referencing (as optional) in the @fonts comps group
Comment 6 Jon Stanley 2008-05-06 18:22:25 EDT
Yeah, I thought I changed the name to something more palatable in the %prep,
which I will change to %install per your suggestion.  Should I just use today as
the version, or is there some way to tell from the TTF metadata (or just use the
date it was posted upstream?).   Look for a new version and CVS checkin tonight.
Comment 7 Jon Stanley 2008-05-06 18:25:31 EDT
New Package CVS Request
=======================
Package Name: brettfont-fonts
Short Description: A handwriting font
Owners:  jstanley
Branches: F-8 F-9 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-06 20:20:09 EDT
cvs done.
Comment 9 Fedora Update System 2008-05-07 01:51:44 EDT
brettfont-fonts-20080506-1.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-05-07 01:57:21 EDT
brettfont-fonts-20080506-1.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-05-10 09:55:41 EDT
brettfont-fonts-20080506-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update brettfont-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3468

Note You need to log in before you can comment on or make changes to this bug.